# addIncomingSettlementRequest

**POST api/addIncomingSettlementRequest**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 4,
    "currency": "USD",
    "amount": 10000000000,
    "comment": "Some text",
    "flags": 1,
    "cancelTimestamp": 1634406457410,
    "network": "SWIFT"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "requestId": 123456
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Filed name      | Type           | Description                                                                                                                                                                                                                                                                                         |
| --------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| counterpartyId  | Efx::ClientId  | Counterparty id                                                                                                                                                                                                                                                                                     |
| currency        | string         | Currency name                                                                                                                                                                                                                                                                                       |
| amount          | Efx::Size      | *Optional*. The amount of funds that the specified counterparty is required to send. If zero or not specified, the full outstanding position is supposed to be settled.                                                                                                                             |
| comment         | string         | *Optional*. Any comment.                                                                                                                                                                                                                                                                            |
| flags           | unsigned int16 | <p><em>Optional</em></p><p>0 - no flags</p><p>1 - fee paid by recipient. Notify that network fee will be paid by you. The fee will be deducted from the requested amount, thus the amount you will receive to your wallet or custodian account will be smaller than the one you have requested.</p> |
| cancelTimestamp | Efx::Timestamp | <p><em>Optional.</em> Timestamp in milliseconds when the request will be automatically deleted. Could not be more than 30 days from the current date.</p><p>Default value is 24 hours ahead.</p><p>If set to 0 the request doesn't have expiration time.</p>                                        |
| network         | string         | *Optional*. Network name.                                                                                                                                                                                                                                                                           |

**Response description**

| Field name | Type           | Description               |
| ---------- | -------------- | ------------------------- |
| requestId  | unsigned int64 | Id of the created request |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/addincomingsettlementrequest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
